var component;
var cPage;
var contentUrl;

function createContentPage(url) {
    contentUrl = url;
    component = Qt.createComponent("ContentPage.qml");
    if (component.status == Component.Ready)
        finishCreation();
    else
        component.statusChanged.connect(finishCreation);
}

function finishCreation() {
    if (component.status == Component.Ready) {

        cPage = component.createObject(mainWindow);
        if (cPage === null) {
            console.log("Error creating contentPage");
        } else {
            cPage.state = "fullscreen";
            cPage.contentUrl = contentUrl;
        }

    } else if (component.status == Component.Error) {
        // Error Handling
        console.log("Error loading contentPage:", component.errorString());
    }
}
