
// includes
#include "tabview.h"
#include <QtGui/QApplication>
#include <QGraphicsScene>
#include <QDebug>

int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    QGraphicsScene scene;

    QRect viewRect(100,100,1366,768);
    scene.setSceneRect( 0.0, 0.0, viewRect.width(), viewRect.height() );

    TabView view(&scene);
    view.setHorizontalScrollBarPolicy(Qt::ScrollBarAlwaysOff);
    view.setVerticalScrollBarPolicy(Qt::ScrollBarAlwaysOff);
    view.setGeometry(viewRect);
    view.setRenderHints( QPainter::Antialiasing );
    view.show();

    return a.exec();
}
