#ifndef STYLE_H
#define STYLE_H

#include <QFont>

namespace {
    // margin for all ui components
    const int componentMargin = 24;
    // body text size
    const int bodyTextSize = 24;
    // header text size
    const int headerTextSize = 48;
    // ui fonts and color
    const QFont headerFont = QFont("Segoe UI", headerTextSize);
    const QFont bodyFont = QFont("Segoe UI", bodyTextSize);
    const QColor uiTextColor = Qt::white;
    const QString backgroundStyle = "background-color: rgba(26,26,26)";
    // ui animation duration
    const int animationTime = 400;
}

#endif // STYLE_H
